Modules | Alphabetical List | Class List | Directories | File List | GIL Home Page # ImageViewConcept Struct Template Reference [ImageViewConcept] `#include <gil_concept.hpp>` List of all members. ## Detailed Description ### template<typename View> struct boost::gil::ImageViewConcept< View > GIL's 2-dimensional view over immutable GIL pixels.
    concept ImageViewConcept<RandomAccess2DImageViewConcept View> {
        where PixelValueConcept<value_type>;
        where PixelIteratorConcept<x_iterator>;
        where PixelIteratorConcept<y_iterator>;
        where x_coord_t == y_coord_t;

        typename coord_t = x_coord_t;

        std::size_t View::num_channels() const;
    };
## Public Member Functions
void | constraints ()
## Public Attributes
View | view
The documentation for this struct was generated from the following file: gil_concept.hpp